commit:     f99936e2dd804556d3283a014e3cd35b3966246b
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 22 04:43:15 2016 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Fri Jan 22 04:43:15 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f99936e2

net-misc/chrony: Version bump (bug #572566).

Package-Manager: portage-2.2.27

 net-misc/chrony/Manifest            |   1 +
 net-misc/chrony/chrony-2.2.1.ebuild | 114 ++++++++++++++++++++++++++++++++++++
 2 files changed, 115 insertions(+)

diff --git a/net-misc/chrony/Manifest b/net-misc/chrony/Manifest
index 541f200..930d5cb 100644
--- a/net-misc/chrony/Manifest
+++ b/net-misc/chrony/Manifest
@@ -1,2 +1,3 @@
 DIST chrony-2.1.1.tar.gz 391037 SHA256 
b0565148eaa38e971291281d76556c32f0138ec22e9784f8bceab9c65f7ad7d4 SHA512 
bbb6d4b3436b7c3c7d45628500678ce31291aaa7f59df0f616268fcdb9285f21a79b085d232773ce732eea82f28fa87f4c56ac5b6a7388275c67889daf641499
 WHIRLPOOL 
a431253f173fb8c52f417c0a074c66e3125bb46247b3a177d6ad4c96d953a4557fb159e5940f03d39a83ad1b5a92dd73f84333e3d2274a42a5e93337ca2f6d7e
+DIST chrony-2.2.1.tar.gz 340514 SHA256 
4776fa8e80d698723e9a88eb882170951f6c45860545d84ae9f9d8b9bbd73796 SHA512 
caa18a22e7e64186f24f474e02862296bfa74c99671bc98e926caf27b88ce3580282543594602e76ad4be9b7f9623350888def893a7c1d96a7370d13a636442f
 WHIRLPOOL 
77500bc25496dc15f17bce60023b86330205945999011b243272db26a924ac67193da70089c59e19bea7666c05059c8c4c1975ca19057775ec2dd8e468ab8dce
 DIST chrony-2.2.tar.gz 340285 SHA256 
d3fd820fa63badf54ee0e48a649b94ea739df3aac5efa104bd90f89795aa2485 SHA512 
40e5f3b803016a8ce2a3450f24e07e02b54c8b0134c005342e52e1f122592af646186ca231644801bdb7bbb00c576347da34e162d33920ef71f4018204e8a866
 WHIRLPOOL 
0f517914935b150bce9a42507f1c4b04ec50d9406d1ac504b396abbe0646a3bce21299cb6b946159e7369800bbcd106257bf2c02e544fffd19d8211f232ed469

diff --git a/net-misc/chrony/chrony-2.2.1.ebuild 
b/net-misc/chrony/chrony-2.2.1.ebuild
new file mode 100644
index 0000000..04ce021
--- /dev/null
+++ b/net-misc/chrony/chrony-2.2.1.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit eutils systemd toolchain-funcs
+
+DESCRIPTION="NTP client and server programs"
+HOMEPAGE="http://chrony.tuxfamily.org/";
+SRC_URI="http://download.tuxfamily.org/${PN}/${P/_/-}.tar.gz";
+LICENSE="GPL-2"
+SLOT="0"
+
+KEYWORDS="~amd64 ~arm ~hppa ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="caps +cmdmon ipv6 libedit +ntp +phc +pps readline +refclock +rtc selinux 
+adns"
+REQUIRED_USE="
+       ?? ( libedit readline )
+"
+
+CDEPEND="
+       caps? ( sys-libs/libcap )
+       libedit? ( dev-libs/libedit )
+       readline? ( >=sys-libs/readline-4.1-r4:= )
+"
+DEPEND="
+       ${CDEPEND}
+       sys-apps/texinfo
+"
+RDEPEND="
+       ${CDEPEND}
+       selinux? ( sec-policy/selinux-chronyd )
+"
+
+RESTRICT=test
+
+S="${WORKDIR}/${P/_/-}"
+
+src_prepare() {
+       sed -i \
+               -e 's:/etc/chrony\.:/etc/chrony/chrony.:g' \
+               -e 's:/var/run:/run:g' \
+               conf.c chrony.texi.in examples/* || die
+}
+
+src_configure() {
+       tc-export CC
+
+       local CHRONY_EDITLINE
+       # ./configure legend:
+       # --disable-readline : disable line editing entirely
+       # --without-readline : do not use sys-libs/readline (enabled by default)
+       # --without-editline : do not use dev-libs/libedit (enabled by default)
+       if ! use readline && ! use libedit; then
+               CHRONY_EDITLINE='--disable-readline'
+       else
+               CHRONY_EDITLINE+=" $(usex readline '' --without-readline)"
+               CHRONY_EDITLINE+=" $(usex libedit '' --without-editline)"
+       fi
+
+       # not an autotools generated script
+       local CHRONY_CONFIGURE="
+       ./configure \
+               $(usex caps '' --disable-linuxcaps) \
+               $(usex cmdmon '' --disable-cmdmon) \
+               $(usex ipv6 '' --disable-ipv6) \
+               $(usex ntp '' --disable-ntp) \
+               $(usex phc '' --disable-phc) \
+               $(usex pps '' --disable-pps) \
+               $(usex rtc '' --disable-rtc) \
+               $(usex refclock '' --disable-refclock) \
+               $(usex adns '' --disable-asyncdns) \
+               ${CHRONY_EDITLINE} \
+               ${EXTRA_ECONF} \
+               --docdir=/usr/share/doc/${PF} \
+               --chronysockdir=/run/chrony \
+               --infodir=/usr/share/info \
+               --mandir=/usr/share/man \
+               --prefix=/usr \
+               --sysconfdir=/etc/chrony \
+               --disable-sechash \
+               --without-nss \
+               --without-tomcrypt
+       "
+
+       # print the ./configure call to aid in future debugging
+       einfo ${CHRONY_CONFIGURE}
+       bash ${CHRONY_CONFIGURE} || die
+}
+
+src_compile() {
+       emake all docs
+}
+
+src_install() {
+       default
+
+       doinfo chrony.info*
+
+       newinitd "${FILESDIR}"/chronyd.init-r1 chronyd
+       newconfd "${FILESDIR}"/chronyd.conf chronyd
+
+       insinto /etc/${PN}
+       newins examples/chrony.conf.example1 chrony.conf
+
+       dodoc examples/*.example*
+
+       keepdir /var/{lib,log}/chrony
+
+       insinto /etc/logrotate.d
+       newins "${FILESDIR}"/chrony-2.2.logrotate chrony
+
+       systemd_newunit "${FILESDIR}"/chronyd.service-r2 chronyd.service
+       systemd_enable_ntpunit 50-chrony chronyd.service
+}

Reply via email to